#
# spec file for package python3-django-form-admin
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-django-form-admin
Version:        0.4.2
Release:        2.6
Url:            https://github.com/Yaco-Sistemas/django-form-admin
Summary:        Abstract Class to Provide Django Admin Style Forms
License:        LGPL-3.0
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/d/django-form-admin/django-form-admin-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel
BuildRequires:  python3-django
BuildRequires:  python3-setuptools
Requires:       python3-django
BuildArch:      noarch

%description
It is a Django application that lets to render forms like django admin, with
the same HTML.


%prep
%setup -q -n django-form-admin-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst CHANGES.rst COPYING.LGPLv3
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * changed to https for source url
  * updated source url to files.pythonhosted.org
* Sun Dec 14 2014 arun@gmx.de
- specfile:
  * update copyright year
  * update url
- update to version 0.4.2:
  * Fix an error when to install this egg from pypi
- changes from version 0.4.1:
  * Improvements in the example project
* Wed Oct 23 2013 toddrme2178@gmail.com
- Add BuildRequires:  python3-django
* Fri Sep 27 2013 p.drouand@gmail.com
- Initial python3 support
* Fri Sep 27 2013 p.drouand@gmail.com
- Update to version 0.4.0
  + New way to render the form (filter)
  + Update metainfo
  + Example project
- Add README.rst CHANGES.rst COPYING.LGPLv3 to package documentation
- Fix license to be SPDX conform
- Remove redundant %%clean section and useless CFLAGS export
- Some little improvements
* Thu Jan 12 2012 jfunk@funktronics.ca
- Update to 0.3.2
* Wed Jul 27 2011 jfunk@funktronics.ca
- Initial release
